xcmsSet {xcms} | R Documentation

## Constructor for xcmsSet objects which finds peaks in NetCDF/mzXML files

### Description

This function handles the construction of xcmsSet objects. It finds peaks in batch mode and pre-sorts files from subdirectories into different classes suitable for grouping.

### Usage

    xcmsSet(files = NULL, snames = NULL, sclass = NULL,
            profmethod = "bin", profparam = list(), ...)

### Arguments

`files` | path names of the NetCDF/mzXML files to read
`snames` | sample names
`sclass` | sample classes
`profmethod` | method to use for profile generation
`profparam` | parameters to use for profile generation
`...` | further arguments to the `findPeaks` method of the `xcmsRaw` class

### Details

The default values of the `files`, `snames`, and `sclass` arguments cause the function to recursively search for readable files. The filename without extention is used for the sample name. The subdirectory path is used for the sample class.

### Value

A `xcmsSet` object.

### Note

### Author(s)

Colin A. Smith, csmith@scripps.edu

### See Also

`xcmsSet-class`, `findPeaks`, `profStep`, `profMethod`

[Package xcms version 1.6.1 Index]